## neochat 22.02

=== debian/changelog ===
neochat (22.02-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Fix copyright issue, as some files are released under different
    licenses.

 -- Sandro Knauß <hefee@debian.org>  Mon, 02 May 2022 15:01:37 +0200

neochat (22.02-1) unstable; urgency=medium

  [ Norbert Preining ]
  * Prepare package for Debian.

  [ Sandro Knauß ]
  * First upload to Debian (Closes: #989529)
  * Update Vcs links to salsa.
  * Use new dev package name of qtkechain (qtkeychain-qt5-dev).
  * Add qcoro to BDs.
  * Enable hardening.
  * Make signing key minimal.
  * Add upstream/metadata.
  * Write a better short and long description.
  * Update copyright for 22.02.
  * Update maintainer.
  * Add myself to Uploades.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Feb 2022 04:33:59 +0100
