=== debian/control ===
Source: neochat
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.16~),
               cmark,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.88.0~),
               kirigami2-dev (>= 5.88.0~),
               kquickimageeditor-dev,
               libcmark-dev,
               libkf5config-dev (>= 5.88.0~),
               libkf5configwidgets-dev (>= 5.88.0~),
               libkf5coreaddons-dev (>= 5.88.0~),
               libkf5dbusaddons-dev (>= 5.88.0~),
               libkf5i18n-dev (>= 5.88.0~),
               libkf5kio-dev (>= 5.88.0~),
               libkf5notifications-dev (>= 5.88.0~),
               libkf5qqc2desktopstyle-dev (>= 5.88.0~),
               libkf5sonnet-dev (>= 5.88.0~),
               libkf5windowsystem-dev (>= 5.88.0~),
               libqt5svg5-dev (>= 5.15.2~),
               libquotient-dev (>= 0.6~),
               pkg-kde-tools (>= 0.15.18~),
               qcoro-qt5-dev,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtkeychain-qt5-dev,
               qtmultimedia5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
Homepage: https://apps.kde.org/neochat/
Rules-Requires-Root: no

Package: neochat
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-org-kde-kquickimageeditor,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-org-kde-syntaxhighlighting,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-qmlmodels,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Matrix client for desktop and mobile made by KDE
 A chat application for Matrix, a decentralized communication protocol, created
 by the KDE community. It allows one to send text messages, videos and audio
 files to your family, colleagues and  friends using the Matrix protocol.
 .
 It features an elegant and responsive user interface allows one to adapt to any
 screen size automatically and gracefully. It works on both Desktop and Mobile.
