## neochat 22.04

=== debian/changelog ===
neochat (22.04-1) unstable; urgency=medium

  * New upstream release (22.04).
  * Update copyright information for 22.04.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 May 2022 21:21:45 +0200
