## neochat 22.06

=== debian/changelog ===
neochat (22.06-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the unused debian/meta/ stuff.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Minor updates to copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 24 Jun 2022 21:10:55 +0200
