=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: cmake (>= 3.16~),
                cmark,
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                extra-cmake-modules (>= 5.88.0~),
                kirigami2-dev (>= 5.88.0~),
                kquickimageeditor-dev,
@@ -22,14 +23,13 @@
                libkf5windowsystem-dev (>= 5.88.0~),
                libqt5svg5-dev (>= 5.15.2~),
                libquotient-dev (>= 0.6~),
-               pkg-kde-tools (>= 0.15.18~),
                qcoro-qt5-dev,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtkeychain-qt5-dev,
                qtmultimedia5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
 Homepage: https://apps.kde.org/neochat/
