## neochat 22.09

=== debian/changelog ===
neochat (22.09-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.91.0
    - drop libkf5sonnet-dev, no more needed
    - explicitly add gettext

 -- Pino Toscano <pino@debian.org>  Sat, 22 Oct 2022 12:39:06 +0200
