=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
                cmark,
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.88.0~),
-               kirigami2-dev (>= 5.88.0~),
+               extra-cmake-modules (>= 5.91.0~),
+               gettext,
+               kirigami2-dev (>= 5.91.0~),
                kquickimageeditor-dev,
                libcmark-dev,
-               libkf5config-dev (>= 5.88.0~),
-               libkf5configwidgets-dev (>= 5.88.0~),
-               libkf5coreaddons-dev (>= 5.88.0~),
-               libkf5dbusaddons-dev (>= 5.88.0~),
-               libkf5i18n-dev (>= 5.88.0~),
-               libkf5kio-dev (>= 5.88.0~),
-               libkf5notifications-dev (>= 5.88.0~),
-               libkf5qqc2desktopstyle-dev (>= 5.88.0~),
-               libkf5sonnet-dev (>= 5.88.0~),
-               libkf5windowsystem-dev (>= 5.88.0~),
+               libkf5config-dev (>= 5.91.0~),
+               libkf5configwidgets-dev (>= 5.91.0~),
+               libkf5coreaddons-dev (>= 5.91.0~),
+               libkf5dbusaddons-dev (>= 5.91.0~),
+               libkf5i18n-dev (>= 5.91.0~),
+               libkf5kio-dev (>= 5.91.0~),
+               libkf5notifications-dev (>= 5.91.0~),
+               libkf5qqc2desktopstyle-dev (>= 5.91.0~),
+               libkf5windowsystem-dev (>= 5.91.0~),
                libqt5svg5-dev (>= 5.15.2~),
                libquotient-dev (>= 0.6~),
                qcoro-qt5-dev,
