## neochat 22.11

=== debian/changelog ===
neochat (22.11-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Change maintainer to the main Debian Qt/KDE Maintainers team instead
    of Extras.

  [ Rik Mills ]
  * Add checkatomics-to-fix-riscv64-build.patch to fix FTBFS on riscv64.
    Thank you to Gianfranco Costamagna.

  [ Sandro Knauß ]
  * Bump Standards-Version (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Wed, 28 Dec 2022 15:45:50 +0100

neochat (22.11-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Add all missing qml depdendencies.

 -- Sandro Knauß <hefee@debian.org>  Thu, 08 Dec 2022 14:02:11 +0100

neochat (22.11-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release.
  * Update build-deps and deps with the info from cmake.
  * Update copyright for 22.11.

 -- Sandro Knauß <hefee@debian.org>  Tue, 06 Dec 2022 22:13:11 +0100
