=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: neochat
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake (>= 3.16~),
                cmark,
@@ -9,6 +9,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
                gettext,
+               kirigami-addons-dev (>= 0.6),
                kirigami2-dev (>= 5.91.0~),
                kquickimageeditor-dev,
                libcmark-dev,
@@ -17,9 +18,11 @@
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5dbusaddons-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
+               libkf5itemmodels-dev (>= 5.91.0~),
                libkf5kio-dev (>= 5.91.0~),
                libkf5notifications-dev (>= 5.91.0~),
                libkf5qqc2desktopstyle-dev (>= 5.91.0~),
+               libkf5sonnet-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
                libqt5svg5-dev (>= 5.15.2~),
                libquotient-dev (>= 0.6~),
@@ -29,7 +32,7 @@
                qtkeychain-qt5-dev,
                qtmultimedia5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
 Homepage: https://apps.kde.org/neochat/
@@ -38,12 +41,24 @@
 Package: neochat
 Architecture: any
 Depends: qml-module-org-kde-kirigami2,
+         qml-module-org-kde-kirigami-addons-labs-mobileform,
          qml-module-org-kde-kitemmodels,
          qml-module-org-kde-kquickimageeditor,
+         qml-module-org-kde-notifications,
+         qml-module-org-kde-purpose,
          qml-module-org-kde-qqc2desktopstyle,
+         qml-module-org-kde-sonnet,
          qml-module-org-kde-syntaxhighlighting,
          qml-module-qt-labs-platform,
          qml-module-qt-labs-qmlmodels,
+         qml-module-qtmultimedia,
+         qml-module-qtqml,
+         qml-module-qtqml-models2,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-particles2,
+         qml-module-qtquick-window2,
+         qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Matrix client for desktop and mobile made by KDE
