## neochat 23.01.0

=== debian/changelog ===
neochat (23.01.0-1) unstable; urgency=medium

  * New upstream release (23.01.0).
  * Update signing-key file for current release.
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Update copyright file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 05 Feb 2023 00:09:19 +0100
