=== debian/control ===
--- 
+++ 
@@ -24,14 +24,14 @@
                libkf5qqc2desktopstyle-dev (>= 5.91.0~),
                libkf5sonnet-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
-               libqt5svg5-dev (>= 5.15.2~),
+               libqt5svg5-dev (>= 5.15.8~),
                libquotient-dev (>= 0.6~),
-               qcoro-qt5-dev,
-               qtbase5-dev (>= 5.15.2~),
-               qtdeclarative5-dev (>= 5.15.2~),
+               qcoro-qt5-dev (>= 0.4~),
+               qtbase5-dev (>= 5.15.8~),
+               qtdeclarative5-dev (>= 5.15.8~),
                qtkeychain-qt5-dev,
-               qtmultimedia5-dev (>= 5.15.2~),
-               qtquickcontrols2-5-dev (>= 5.15.2~)
+               qtmultimedia5-dev (>= 5.15.8~),
+               qtquickcontrols2-5-dev (>= 5.15.8~)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
@@ -40,8 +40,8 @@
 
 Package: neochat
 Architecture: any
-Depends: qml-module-org-kde-kirigami2,
-         qml-module-org-kde-kirigami-addons-labs-mobileform,
+Depends: qml-module-org-kde-kirigami-addons-labs-mobileform,
+         qml-module-org-kde-kirigami2,
          qml-module-org-kde-kitemmodels,
          qml-module-org-kde-kquickimageeditor,
          qml-module-org-kde-notifications,
