=== debian/changelog ===
neochat (23.04.2-1) unstable; urgency=medium

  * Fix watch file target now that Neochat is part of KDE Gear.
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (23.04.2).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * Refresh patch checkatomics-to-fix-riscv64-build.patch.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 23:44:36 +0200
