=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sandro Knauß <hefee@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                cmark,
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
                gettext,
-               kirigami-addons-dev (>= 0.6),
+               kirigami-addons-dev (>= 0.7.2~),
                kirigami2-dev (>= 5.91.0~),
                kquickimageeditor-dev,
                libcmark-dev,
@@ -31,7 +32,7 @@
                qtdeclarative5-dev (>= 5.15.8~),
                qtkeychain-qt5-dev,
                qtmultimedia5-dev (>= 5.15.8~),
-               qtquickcontrols2-5-dev (>= 5.15.8~)
+               qtquickcontrols2-5-dev (>= 5.15.8~),
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
@@ -60,7 +61,7 @@
          qml-module-qtquick-window2,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Matrix client for desktop and mobile made by KDE
  A chat application for Matrix, a decentralized communication protocol, created
  by the KDE community. It allows one to send text messages, videos and audio
