## neochat 23.04.3

=== debian/changelog ===
neochat (23.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patch checkatomics-to-fix-riscv64-build.patch, which works around a
    missing dependency in one of the qcoro cmake libraries, and ought to be
    fixed there.
  * Run the tests using a display: this will be needed when building against
    libquotient 0.7, which will enable some tests: (Closes: #1028642)
    - add the xvfb, and xauth build dependencies
    - run dh_auto_test via xvfb-run
  * Add the libkf5doctools-dev build dependency to build the documentation.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Jul 2023 06:58:56 +0200
