=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                libkf5configwidgets-dev (>= 5.91.0~),
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5dbusaddons-dev (>= 5.91.0~),
+               libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
                libkf5itemmodels-dev (>= 5.91.0~),
                libkf5kio-dev (>= 5.91.0~),
@@ -33,6 +34,8 @@
                qtkeychain-qt5-dev,
                qtmultimedia5-dev (>= 5.15.8~),
                qtquickcontrols2-5-dev (>= 5.15.8~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
