## neochat 23.08.1

=== debian/changelog ===
neochat (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:07:13 +0100

neochat (23.08.0-0ubuntu2) mantic; urgency=medium

  * Add new runtime qml module depends for 23.08.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Aug 2023 17:16:04 +0100

neochat (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:02:09 +0100

neochat (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * Refresh debian/patches/checkatomics-to-fix-riscv64-build.patch
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Bump libquotient-dev build depends to >= 0.7~

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:41:33 +0100

neochat (23.04.3-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep ammended upstream signing key.
    - Do not drop checkatomics-to-fix-riscv64-build.patch still
      required in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Sat, 29 Jul 2023 13:42:12 +0100

neochat (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:58:10 +0100

neochat (23.04.2-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jun 2023 11:04:17 +0100

neochat (23.04.2-0ubuntu2) mantic; urgency=medium

  * Bump kirigami-addons build depends to minimum of 0.7.2

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jun 2023 18:50:01 +0100

neochat (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Refresh checkatomics-to-fix-riscv64-build.patch
  * Update debian/upstream/signing-key.asc, copied from k3b
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:03:16 +0100
